{if $this->user->getPermission('admin.system.custompages.canAdd') || $this->user->getPermission('admin.system.custompages.canEdit')}
{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/customPageAddL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.menu.link.content.custompage.{@$action}{/lang}</h2>
		<p class="normalFont">{lang}wcf.acp.menu.link.content.custompage.{@$action}.description{/lang}</p>
	</div>
</div>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=CustomPageList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/customPageListM.png" alt="" title="{lang}wcf.acp.menu.link.content.custompage.list{/lang}" /> <span>{lang}wcf.acp.menu.link.content.custompage.list{/lang}</span></a></li></ul>
	</div>
</div>

<div class="border content">
	<div class="container-1">
		<form method="post" action="index.php?form=CustomPage{@$action|ucfirst}">
			<div class="formElement">
				<div class="formFieldLabel">
					<label for="categoryID">{lang}wcf.acp.custompage.parent{/lang}</label>
				</div>
				<div class="formField">
					<select name="parentPageID" id="parentPageID">							
							<option value="0"></option>
							{htmlOptions options=$itemSelect disableEncoding=true selected=$parentPageID}
					</select>
				</div>
			</div>
			<div class="formElement">
				<div class="formFieldLabel">
					<label for="languageID">{lang}wcf.acp.custompage.wrapper{/lang}</label>
				</div>
				<div class="formField">
					<select name="wrapperID">
						{foreach from=$wrappers item=wrapper}
							{if $wrapperID == $wrapper.wrapperID}
							<option selected="selected" value="{$wrapper.wrapperID}">{lang}{$wrapper.templateName}{/lang}</option>
							{/if}
							{if $wrapperID != $wrapper.wrapperID}
							<option value="{$wrapper.wrapperID}">{@$wrapper.templateName}</option>
							{/if}
						{/foreach}
					</select>
					{if $errorField == 'wrapperID'}
					<p class="innerError">
						{if $errorType == 'empty'}{lang}wcf.acp.custompage.nowrapper.error{/lang}{/if}
					</p>
					{/if}
				</div>
			</div>
			<div class="formElement {if $errorField == 'name'} formError{/if}">
				<div class="formFieldLabel">
					<label for="name">{lang}wcf.acp.custompage.content.name{/lang}</label>
				</div>
				<div class="formField">
					<input class="inputText" id="name" name="name" type="text" value="{$name}" />
					{if $errorField == 'name'}
					<p class="innerError">
						{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
					</p>
					{/if}
				</div>
			</div>
			<div class="formElement {if $errorField == 'description'} formError{/if}">
				<div class="formFieldLabel">
					<label for="description">{lang}wcf.acp.custompage.description{/lang}</label>
				</div>
				<div class="formField">
					<input class="inputText" id="description" name="description" value="{$description}" type="text" />
				</div>
			</div>
			<div class="formElement {if $errorField == 'icon'} formError{/if}">
				<div class="formFieldLabel">
					<label for="icon">{lang}wcf.acp.custompage.icon{/lang}</label>
				</div>
				<div class="formField">
					<input class="inputText" id="icon" name="icon" value="{$icon}" type="text" />
					<p class="smallFont">{lang}wcf.acp.custompage.icon.description{/lang}</p>
					{if $errorField == 'icon'}
					<p class="innerError">
						{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
					</p>
					{/if}
				</div>
			</div>
			<fieldset>
				<legend>{lang}wcf.acp.custompage.content{/lang}</legend>
				<textarea cols="2" rows="10" name="content" id="ckEditor">{@$content}</textarea>
				{if $errorField == 'content'}
					<p class="innerError">
						{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
					</p>
				{/if}
				<script type="text/javascript">
				//<![CDATA[

					CKEDITOR.replace( 'ckEditor' );
	
				//]]>
				</script>				
			</fieldset>
			<div class="formSubmit">
				<input type="hidden" value="none" name="subject" />
				<input type="hidden" value="none" name="text" />
				 <input type="hidden" name="pageID" value="{$pageID}" />
				 <input type="hidden" name="preParentID" value="{$parentPageID}" />
				<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
				<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
				{@SID_INPUT_TAG}
			</div>
		</form>
	</div>
</div>

{include file='footer'}
{else}
{include file='permissionDenied'}
{/if}