{if $this->user->getPermission('admin.system.custompages.canUse')}
{include file='header'}

		<div class="mainHeadline">
			<img src="{@RELATIVE_WCF_DIR}icon/customPageListL.png" alt="" />
			<div class="headlineContainer">
				<h2>{lang}wcf.acp.custompage.listPage{/lang}</h2>
		        	<p class="normalFont">{lang}wcf.acp.custompage.listPage.description{/lang}</p>
			</div>
		</div>
		
		{if $deletedPage}
			<p class="success">{lang}wcf.acp.custompage.deletepage.success{/lang}</p>
		{/if}
		{if $addedPage}
			<p class="success">{lang}wcf.acp.custompage.addpage.success{/lang}</p>
		{/if}
		{if $editPage}
			<p class="success">{lang}wcf.acp.custompage.editpage.success{/lang}</p>
		{/if}
		{if $deletedPages}
			<p class="success">{lang}wcf.acp.custompage.deleteallpages.success{/lang}</p>
		{/if}
		{if $noPagesToExport}
			<p class="error">{lang}wcf.acp.custompage.listPage.noPages{/lang}</p>
		{/if}
		<div class="contentHeader">
			<div class="largeButtons">
				<ul>
				{if $this->user->getPermission('admin.system.custompages.canDelete')}
				<li><a  onclick="return confirm('{lang}wcf.acp.custompage.allPages.delete.sure{/lang}')" href="index.php?action=CustomPageDeleteAllPages&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/customPageDeleteAllM.png" alt="" title="{lang}wcf.acp.menu.link.content.custompage.deleteAllPages{/lang}" /> <span>{lang}wcf.acp.menu.link.content.custompage.deleteAllPages{/lang}</span></a></li>
				{/if}
				{if $this->user->getPermission('admin.system.custompages.canAdd')}				
				<li><a href="index.php?form=CustomPageAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/customPageAddM.png" alt="" title="{lang}wcf.acp.menu.link.content.custompage.add{/lang}" /> <span>{lang}wcf.acp.menu.link.content.custompage.add{/lang}</span></a></li>
				{/if}
				</ul>
 			</div>
		</div>
		{if $items|count}
		<div class="border content">
			<div class="container-1">
				<ol class="itemList">
					{foreach from=$items item=child}
                                                {* define *}
                                                {assign var="item" value=$child.item}
                                                
                                                <li>
							<div class="buttons">
                                                                        {if $this->user->getPermission('admin.system.custompages.canEdit')}
	                                                                        <a href="index.php?form=CustomPageEdit&amp;pageID={$item->pageID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" /></a>
	                                                                 {else}
	                                                                        <img src="{@RELATIVE_WCF_DIR}icon/editDisabledS.png" alt="" />
                                                                        {/if}
                                                                         {if $child.hasChildren == 0 && $this->user->getPermission('admin.system.custompages.canDelete')}
	                                                                        <a onclick="return confirm('{lang}wcf.acp.custompage.kat.delete.sure{/lang}')" href="index.php?action=CustomPageDelete&amp;pageID={@$item->pageID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="" /></a>
                                                                        {else}
	                                                                        <img src="{@RELATIVE_WCF_DIR}icon/deleteDisabledS.png" alt="" />
                                                                        {/if}
							</div>
                                                        <h3 class="itemListTitle{if $child.parentPageID == 0} itemListCategory{/if}">
                                                                        <img src="{@RELATIVE_WCF_DIR}icon/{$item->icon}S.png" alt="" title="" />
                                                                        ID-{@$item->pageID} {if $this->user->getPermission('admin.system.custompages.canEdit')}<a href="index.php?form=CustomPageEdit&amp;pageID={$item->pageID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}{$item->name}{/lang}</a>{else}{lang}{$item->name}{/lang}{/if}
                                                        </h3>
                                                
                                                {if $child.hasChildren}<ol>{else}</li>{/if}
                                                {if $child.openParents > 0}{@"</ol></li>"|str_repeat:$child.openParents}{/if}
                                        {/foreach}
				</ol>
			</div>
		</div>
		{/if}

{include file='footer'}

{else}
{include file='permissionDenied'}
{/if}
