<?php
require_once(WCF_DIR.'lib/action/AbstractAction.class.php');

class CustomPageDeleteAllPagesAction extends AbstractAction {

	/**
	 * @see Action::readParameters()
	 */
	public function readParameters() {
		parent::readParameters();
	}
	
	/**
	 * @see Action::execute()
	 */
	public function execute() {
		parent::execute();
		// check permission
		WCFACP::checkMasterPassword();
		WCF::getUser()->checkPermission('admin.system.custompages.canDelete');
		require_once(WCF_DIR.'lib/data/custompage/CustomPageEditor.class.php');
		// deletes all CustomPages and resets cache and Session
		CustomPageEditor::deleteAllCustomPages();
		$this->executed();		
		// forward to list page
		header('Location: index.php?page=CustomPageList&deletedPages=1&packageID='.PACKAGE_ID.SID_ARG_2ND_NOT_ENCODED);
		exit;
	}
}
?>