{if $this->user->getPermission('admin.system.custompages.canImport')}
{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/customPageImportL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.menu.link.content.custompage.import{/lang}</h2>
		<p class="normalFont">{lang}wcf.acp.menu.link.content.custompage.import.description{/lang}</p>
	</div>
</div>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
	{else}
	<p class="warning">{lang}wcf.acp.custompage.import.warning{/lang}</p>
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul><li><a href="index.php?page=CustomPageList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/customPageListM.png" alt="" title="{lang}wcf.acp.menu.link.content.custompage.list{/lang}" /> <span>{lang}wcf.acp.menu.link.content.custompage.list{/lang}</span></a></li></ul>
	</div>
</div>

<form enctype="multipart/form-data" method="post" action="index.php?form=CustomPageImport">
	<div class="border content">
		<div class="container-1">
			<fieldset>
				<legend>{lang}wcf.acp.custompage.import.sourcefile{/lang}</legend>				
				<div class="formElement{if $errorField == 'fileUpload'} formError{/if}">
					<div class="formFieldLabel">
						<label for="fileUpload">{lang}wcf.acp.custompage.import.styleUpload{/lang}</label>
					</div>
					<div class="formField">
						<input type="file" name="fileUpload" id="fileUpload" />
						{if $errorField == 'styleUpload'}
							<p class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.error.empty{/lang}{/if}
								{if $errorType == 'uploadFailed'}{lang}wcf.acp.custompage.import.upload.failed{/lang}{/if}
							</p>
						{/if}
					</div>
				</div>
			</fieldset>
		</div>

	</div>
	
	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
 		{@SID_INPUT_TAG}
 	</div>
</form>

{include file='footer'}

{else}
{include file='permissionDenied'}
{/if}