<?php
// wcf imports
require_once(WCF_DIR.'lib/data/custompage/CustomPageEditor.class.php');
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * CustomPage Cache builder  class
 * 
 * @author	 Martin Schwendowius, Oliver Kliebisch
 * @copyright	2008-2009 plugins.wbuilder.de
 * @license	Creative Commons <http://creativecommons.org/licenses/by-nc-nd/3.0/deed.de>
 * @package	com.woltlab.community.customPage
 */
class CacheBuilderCustomPages implements CacheBuilder {
	
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		$data = array();
		//get all pages from Database and form new object
		$sql="SELECT * FROM wcf".WCF_N."_custompage";
		$result = WCF::getDB()->sendQuery($sql);		
		while($row=WCF::getDB()->fetchArray($result)) {
			$data[$row['pageID']] = new CustomPageEditor(null, $row);
		}
		
		return $data;
	}
}
?>
